# Class OnErrorTestElement

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.testelement.OnErrorTestElement

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, TestElement`

Direct Known Subclasses:
  `ResultAction`

public abstract class OnErrorTestElement extends AbstractTestElement

Version:
  $Revision: 1413358 $
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ON_ERROR_ACTION`
`static final int`
`ON_ERROR_CONTINUE`
`static final int`
`ON_ERROR_START_NEXT_THREAD_LOOP`
`static final int`
`ON_ERROR_STOPTEST`
`static final int`
`ON_ERROR_STOPTEST_NOW`
`static final int`
`ON_ERROR_STOPTHREAD`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OnErrorTestElement()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorAction()`
`boolean`
`isContinue()`
`boolean`
`isStartNextThreadLoop()`
`boolean`
`isStopTest()`
`boolean`
`isStopTestNow()`
`boolean`
`isStopThread()`
`void`
`setErrorAction(int value)`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ON_ERROR_CONTINUE

public static final int ON_ERROR_CONTINUE

See Also:
  - Constant Field Values

### ON_ERROR_STOPTHREAD

public static final int ON_ERROR_STOPTHREAD

See Also:
  - Constant Field Values

### ON_ERROR_STOPTEST

public static final int ON_ERROR_STOPTEST

See Also:
  - Constant Field Values

### ON_ERROR_STOPTEST_NOW

public static final int ON_ERROR_STOPTEST_NOW

See Also:
  - Constant Field Values

### ON_ERROR_START_NEXT_THREAD_LOOP

public static final int ON_ERROR_START_NEXT_THREAD_LOOP

See Also:
  - Constant Field Values

### ON_ERROR_ACTION

public static final String ON_ERROR_ACTION

See Also:
  - Constant Field Values

## Constructor Details

### OnErrorTestElement

protected OnErrorTestElement()

## Method Details

### setErrorAction

public void setErrorAction(int value)

### getErrorAction

public int getErrorAction()

### isContinue

public boolean isContinue()

### isStopThread

public boolean isStopThread()

### isStopTest

public boolean isStopTest()

### isStopTestNow

public boolean isStopTestNow()

### isStartNextThreadLoop

public boolean isStartNextThreadLoop()